twhich(1)

NAME
twhich - locates a file listing in transcripts

SYNOPSIS
twhich [ -aIrV ] [ -K command ] file
twhich -s -K command [ -aIV ] file

DESCRIPTION
twhich searches each transcript listed in the command file ( the default name is command.K ) for file. Transcripts are searched in precedence order. The first transcript listed in the command file has the lowest precedence, the next higher, and the last has the highest. If any special files are listed, the special.T transcript will have the absolute highest precedence. file must be the full decoded path (See fsdiff(1)), as listed in the transcript. If file is found, twhich prints a message to the standard output indicating the transcript, line number and matching line, and then exits. With the -a option, twhich will continue to search all transcripts listed in the command file for file. With the -r option, twhich will search for each path component, progressively building to file, behaving as above when matches are found. If a path element in file is missing, twhich will print "not found" and continue looking for the next element. The -s option is used to run twhich on a radmind server. When run on a server, the command file to search must be given with the -K option. All listed transcripts must be in the respective radmind server transcript directory.

OPTIONS

-a  list all transcripts that contain file.

-I  be case insensitive when comparing paths.

-K command
    specifies a command file, by default /var/radmind/client/command.K

-s  indicates that twhich is running on a radmind server.

-r  searches for each path element in file.

-V  displays the version number of twhich and exits.

FILES

/var/radmind/client/command.K
    name of the default command file.

special.T
    name of the special transcript.

EXIT STATUS
The following exit values are returned:

0   File was found.

1   File was not found.

>1  An error occurred.

SEE ALSO
fsdiff(1), ktcheck(1), lapply(1), lcksum(1), lcreate(1), lfdiff(1), lmerge(1), lsort(1), radmind(8).